/* 콘텐츠 레이아웃 */
.content {
  display: flex;
  flex-direction: column;
  background-color: #ffffff;
}

.container {
  max-width: 1000px; 
  margin: 0 auto;
  width: 80%;
}

/* 상단 이미지*/
.img_container {
  width: 100%;
  height: 300px;
  overflow: hidden; 
}

.origin_img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* 제목 + 글 */
.project_detail {
  color: #333333;
  padding: 150px 0 100px 0;
  flex: 1;
}

/* 제목 */
.project_title {
  font-size: clamp(26px, 5vw, 42px);
  font-weight: 800;
  color: #000000;
  margin-bottom: 50px;
  word-break: keep-all;
}

/* 글 */
.detail_section {
  margin-bottom: 60px;
}

/* 소제목 */
.section_title {
  font-size: 20px;
  font-weight: 700;
  color: #222;
  border-bottom: 2px solid #333;
  padding-bottom: 12px;
  margin-bottom: 25px;
}

/* 리스트 커스텀 */
.detail_list {
  list-style: none;
}

.detail_list li {
  position: relative;
  padding-left: 15px;
  margin-bottom: 10px;
  font-size: 18px !important;
}

.detail_list li::before {
  content: "•"; 
  position: absolute; 
  left: 0;
  top: -3px;
  color: #000;
  font-size: 20px;
  font-weight: bold;
}

/* 본문 링크 */
.detail_list li a {
    color: #666666; 
    text-decoration: none;
    transition: color 0.3s;
}
 
.detail_list li a:hover {
    text-decoration: underline;
    color: #333333;
}

/* 코드 박스 */
pre {
  background-color: #1e1e1e;   
  color: #d4d4d4;          
  padding: 20px;
  border-radius: 10px;
  max-width: 100%; 
  overflow-x: auto;
  white-space: pre-wrap;
  word-break: break-all;
}

code {
  font-family: Consolas, monospace;
  font-size: 14px;
}

.comment {
  color: gray;
}

/* 이미지 */
.post_image img {
  max-width: 100%; 
  height: auto;
  display: block;
  margin: 30px auto;
}


/* 모바일 */
@media (max-width: 1024px) {
  .container {
    width: 85%;
  }
}

@media (max-width: 768px) {
  .project_detail {
    padding: 40px 0;
  }
  .container {
    width: 92%;
  }
  .img_container {
    height: 200px;
  }
  .section_title {
    font-size: 18px;
    margin-bottom: 15px;
  }
  .project_title {
    font-size: 24px;
    margin-bottom: 30px;
  }
  .detail_list li {
    font-size: 14px;
    padding-left: 18px;
  }
}